Page MenuHomePhabricator

Page created/restored confirmation message appears after clicking on Edit for a new page
Closed, ResolvedPublic1 Estimated Story Points

Description

Steps to reproduce:

1.Create a new page
2.Type something as content for that page
3.Click the button "Save"
4.Wait for a while and then click on the button "Edit"

Observed Result:
The page created confirmation message does not appear on top of the page unless user clicks on Edit button for that page.

Browser:FireFox 20 ,Chrome Version 26.0.1410.65
OS:MAC OS X 10.8.5
Environment: test2
Page:Any new page


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:30 AM
bzimport added a project: VisualEditor.
bzimport set Reference to bz56921.
Krenair added a subscriber: Krenair.

Confirmed on the latest version...

Krenair renamed this task from VisualEditor: Page created confirmation message appears after clicking on Edit for a new page to VisualEditor: Page created/restored confirmation message appears after clicking on Edit for a new page.Jan 22 2015, 11:32 PM
Krenair set Security to None.
gerritbot added a subscriber: gerritbot.

Change 186318 had a related patch set uploaded (by Alex Monk):
Check for venotify on page load, not when VPT is created

https://gerrit.wikimedia.org/r/186318

Patch-For-Review

Jdforrester-WMF renamed this task from VisualEditor: Page created/restored confirmation message appears after clicking on Edit for a new page to Page created/restored confirmation message appears after clicking on Edit for a new page.Jan 23 2015, 7:40 PM
Jdforrester-WMF assigned this task to Krenair.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.

Change 186318 merged by jenkins-bot:
Check for venotify on page load, not when VPT is created

https://gerrit.wikimedia.org/r/186318

Jdforrester-WMF closed this task as Resolved.Jan 23 2015, 9:55 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.Feb 2 2015, 8:06 PM